## packagesearch 2.7.10

=== debian/changelog ===
packagesearch (2.7.10) unstable; urgency=medium

  * fixed build because of included Makefile 

 -- Benjamin Mesing <ben@debian.org>  Fri, 19 Oct 2018 21:50:28 +0200

packagesearch (2.7.9) unstable; urgency=medium

  * fixed build because of CHAR_WIDTH

 -- Benjamin Mesing <ben@debian.org>  Fri, 28 Sep 2018 16:32:54 +0200

packagesearch (2.7.8) unstable; urgency=medium

  * fix build for non-amd64, second try

 -- Benjamin Mesing <ben@debian.org>  Sat, 04 Nov 2017 19:52:14 +0100

packagesearch (2.7.7) unstable; urgency=medium

  * fix build on QT5 (Closes: #880356)

 -- Benjamin Mesing <ben@debian.org>  Wed, 01 Nov 2017 21:35:41 +0100

packagesearch (2.7.6) unstable; urgency=low

  * updated to QT5, Closes: #875079
  * do not show short description in long description field

 -- Benjamin Mesing <ben@debian.org>  Sun, 01 Oct 2017 22:49:32 +0200

=== debian/control ===
Source: packagesearch
Section: admin
Priority: optional
Maintainer: Benjamin Mesing <ben@debian.org>
Build-Depends: debhelper (>= 10.8), libept-dev (>= 1.0.9), libept-dev (<< 2), qtbase5-dev, qttools5-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 1.0), libwibble-dev (<< 2.0), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1), libxapian-dev, libapt-pkg-dev
Standards-Version: 4.1.0
Vcs-Git: https://git.code.sf.net/p/packagesearch/git

Package: packagesearch
Architecture: any
Depends: apt (>= 0.6.46.1), debtags (>= 1.6.1), apt-xapian-index, xterm, ${shlibs:Depends}, ${misc:Depends}
Recommends: apt-file, deborphan
Description: GUI for searching packages and viewing package information
 This tool is aimed to help you search the packages you need. It should
 make the task of searching a pleasant experience. 
 .
 Search can be done by 
  * pattern
  * tags (based on the debtags system)
  * files
  * installed status
  * orphaned packages
 Additionally a lot of information about the packages is displayed, 
 including screenshots and the files within a package.
 .
 It is possible to install or remove packages.

## packagesearch 2.7.11

=== Makefile ===
#!/usr/bin/make -f

ICONDIR = /usr/share/pixmaps/packagesearch

RELEASE_ARGS := "CONFIG-=debug" "CONFIG+=release"
TEST_ARGS := "CONFIG+=test" "CONFIG+=debug"
MAKE_ARGS := "-j2"
QMAKE = /usr/bin/qmake
QMAKE_ARGS = 
LRELEASE = /usr/bin/lrelease
LRELEASE_ARGS = 

export QT_SELECT=qt5


all: delete-makefiles translations
	( cd src ; $(QMAKE) $(QMAKE_ARGS) $(RELEASE_ARGS) ; make $(MAKE_ARGS))
	( cd src/plugins ; $(QMAKE) $(QMAKE_ARGS) $(RELEASE_ARGS) ; make $(MAKE_ARGS))

translations:
	$(LRELEASE) $(LRELEASE_ARGS) src/packagesearch.pro
	$(LRELEASE) $(LRELEASE_ARGS) src/plugins/debtagsplugin/debtagsplugin.pro
	$(LRELEASE) $(LRELEASE_ARGS) src/plugins/aptplugin/aptplugin.pro
	$(LRELEASE) $(LRELEASE_ARGS) src/plugins/filenameplugin/filenameplugin.pro
	$(LRELEASE) $(LRELEASE_ARGS) src/plugins/orphanplugin/orphanplugin.pro
	$(LRELEASE) $(LRELEASE_ARGS) src/plugins/screenshotplugin/screenshotplugin.pro

delete-translations:
	rm -f translations/*.qm

clean-all: clean clean-debug clean-test delete-translations

clean: delete-makefiles delete-translations
	( cd src ; $(QMAKE) $(QMAKE_ARGS) $(RELEASE_ARGS) ; make clean )
	( cd src/plugins ; $(QMAKE) $(QMAKE_ARGS) $(RELEASE_ARGS) ; make clean )
	make delete-makefiles
	rm src/.qmake.stash

debug: delete-makefiles translations
	( cd src ; $(QMAKE) $(QMAKE_ARGS) ; make $(MAKE_ARGS))
	( cd src/plugins ; $(QMAKE) $(QMAKE_ARGS) ; make $(MAKE_ARGS))

clean-debug: delete-makefiles delete-translations
	( cd src ; $(QMAKE) $(QMAKE_ARGS) ; make clean )
	( cd src/plugins ; $(QMAKE) $(QMAKE_ARGS) ; make clean )
	make delete-makefiles


#install:
#	install -d /usr/lib/packagesearch
#	install -d /usr/share/doc/packagesearch
#	install -d /usr/local/bin
#	install -d $(ICONDIR)
#	install src/packagesearch /usr/local/bin/
#	install -m 644 icons/{packagesearch.png,install-package.png,remove-package.png,forward.png,back.png} $(ICONDIR)
#	install -m 644 README TODO CHANGELOG doc/content.html doc/COPYING.txt /usr/share/doc/packagesearch/
#	install src/plugins/lib*so /usr/lib/packagesearch
	
#uninstall:
#	rm -f /usr/local/bin/packagesearch
#	rm -f /usr/share/doc/packagesearch/{README,TODO,CHANGELOG,content.html,COPYING.txt}
#	rmdir /usr/share/doc/packagesearch
#	rm -f /usr/lib/packagesearch/libaptplugin.so
#	rm -f /usr/lib/packagesearch/libdebtagsplugin.so
#	rm -f /usr/lib/packagesearch/libfilenameplugin.so
#	rm -f /usr/lib/packagesearch/liborphanplugin.so
#	rmdir /usr/lib/packagesearch
#	rm -f  $(ICONDIR)/{packagesearch.png,install-package.png,remove-package.png,forward.png,back.png}
#	rmdir $(ICONDIR)

delete-makefiles:
	rm -f src/Makefile
	rm -f src/plugins/Makefile
	rm -f src/plugins/aptplugin/Makefile
	rm -f src/plugins/debtagsplugin/Makefile
	rm -f src/plugins/filenameplugin/Makefile
	rm -f src/plugins/orphanplugin/Makefile
	rm -f src/plugins/screenshotplugin/Makefile
	rm -f src/plugins/Makefile.test
	rm -f src/plugins/aptplugin-test/Makefile

test: build-test run-test

build-test: debug
	( cd src ; $(QMAKE) $(QMAKE_ARGS) "CONFIG+= testlib" ; make $(MAKE_ARGS) -f Makefile.testlib)
	( cd test-src ; $(QMAKE) $(QMAKE_ARGS) ; make $(MAKE_ARGS))
	( cd src/plugins ; $(QMAKE) $(QMAKE_ARGS)  plugins-test.pro ; make $(MAKE_ARGS) -f Makefile.test)

run-test: build-test
	( cd test-src ; export LD_LIBRARY_PATH=../src ; ./run-tests )
	( cd src ; export LD_LIBRARY_PATH=.:plugins ; plugins/aptplugin/run-tests )
	
clean-test:
	( cd src/plugins ; $(QMAKE) $(QMAKE_ARGS) "CONFIG+= testlib" ; make -f src/Makefile.testlib clean )
	make -f src/Makefile.test clean
	make -f src/plugins/Makefile.test clean
	rm -f src/Makefile.testlib
	rm -f src/Makefile.test

.PHONY : all debug clean clean-all clean-debug clean-test install uninstall delete-makefiles test build-test run-test translations delete-translations

=== debian/changelog ===
packagesearch (2.7.11) unstable; urgency=medium

  *  Prepare for QT5.12, Closes: #930678 

 -- Benjamin Mesing <ben@debian.org>  Thu, 04 Jul 2019 19:03:41 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export QT_SELECT=qt5

%:
	dh $@ 

override_dh_auto_build:
	docbook-to-man debian/manpage.sgml > debian/packagesearch.1
	dh_auto_build
	# not yet ready for release - no popcon data available
	rm -f src/plugins/libpopconplugin.so

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/packagesearch.1

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_installman:
	dh_installman debian/packagesearch.1

# do not run Make test because it is currently broken
override_dh_auto_test:
	

# .PHONY: override_dh_auto_build override_dh_auto_clean override_dh_installchangelogs override_dh_installman override_dh_auto_test

## packagesearch 2.7.11build1

=== debian/changelog ===
packagesearch (2.7.11build1) focal; urgency=high

  * No change rebuild against apt 1.9.11.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 27 Feb 2020 21:23:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: packagesearch
 Section: admin
 Priority: optional
-Maintainer: Benjamin Mesing <ben@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Mesing <ben@debian.org>
 Build-Depends: debhelper (>= 10.8), libept-dev (>= 1.0.9), libept-dev (<< 2), qtbase5-dev, qttools5-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 1.0), libwibble-dev (<< 2.0), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1), libxapian-dev, libapt-pkg-dev
 Standards-Version: 4.1.0
 Vcs-Git: https://git.code.sf.net/p/packagesearch/git

## packagesearch 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# set the project name
project(packagesearch)


find_package(Qt6 REQUIRED COMPONENTS Core)

# specify the C++ standard
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED True)

if ($ENV{PACKAGESEARCH_BUILD_TYPE} MATCHES "release") 
    message(STATUS "Configuring relase build")
else()
    message(STATUS "Configuring debug build")
    add_compile_definitions(__DEBUG)
endif()

set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/plugins)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

qt_standard_project_setup()

set(TRANSLATION_TARGET_DIR share/packagesearch/translations)
set(PLUGIN_TARGET_DIR lib/packagesearch)


add_subdirectory(app/src)
add_subdirectory(plugins/aptplugin)
add_subdirectory(plugins/debtagsplugin)
add_subdirectory(plugins/filenameplugin)
add_subdirectory(plugins/orphanplugin)
add_subdirectory(plugins/screenshotplugin)

set(SOURCE_ICON_DIR app/icons)
set(TARGET_ICON_DIR share/pixmaps/packagesearch)
install(FILES
    ${SOURCE_ICON_DIR}/install-package.png
    ${SOURCE_ICON_DIR}/remove-package.png
    ${SOURCE_ICON_DIR}/clear.png
    ${SOURCE_ICON_DIR}/forward.png
    ${SOURCE_ICON_DIR}/packagesearch.png
    ${SOURCE_ICON_DIR}/back.png
    DESTINATION ${TARGET_ICON_DIR}
)

install(FILES
    ${SOURCE_ICON_DIR}/packagesearch.png
    ${SOURCE_ICON_DIR}/packagesearch.xpm
    DESTINATION share/pixmaps
)

install(FILES
    packagesearch.desktop
    DESTINATION share/applications
)

set(SOURCE_DOC_DIR doc)
set(TARGET_DOC_DIR share/doc/packagesearch) 
install(FILES
    README.md
    TODO
    ${SOURCE_DOC_DIR}/content.html
    DESTINATION ${TARGET_DOC_DIR}
)


install(FILES
    packagesearch.desktop
    DESTINATION share/applications
)


# Legacy in case we need it
## add standard Debian flags
#QMAKE_CXXFLAGS_RELEASE += $$system(dpkg-buildflags --get CPPFLAGS)
#QMAKE_CXXFLAGS_RELEASE += $$system(dpkg-buildflags --get CXXFLAGS)
#QMAKE_LFLAGS += $$system(dpkg-buildflags --get LDFLAGS)


#isEmpty(USE_KDE_LIBS){
    #message("USE_KDE_LIBS not set, assuming false by default")
    #USE_KDE_LIBS = false
#}
#contains(USE_KDE_LIBS, true){
    #message("KDE support enabled")
    #INCLUDEPATH += /usr/include/kde
    #LIBS += -lkdecore
    #DEFINES += __USE_KDE_LIBS
#}


## build a library from the packagesearch application here, to allow
## plugins to use the library for their test cases
#testlib {
    #OBJECTS_DIR = .obj_debug
    #DEFINES += __DEBUG
	 #message("generating test library")
    #TEMPLATE = lib
    #QMAKE_MAKEFILE = Makefile.testlib
    #SOURCES -= main.cpp
    #INCLUDEPATH += .moc/ 
    ## object files for libraries are build differently from applications
    ## thus we require another object dir
    ## we do not distinguish between debug and release here
    #OBJECTS_DIR = .obj_test
#}

# from old Makefile

#test: build-test run-test

#build-test: debug
	#( cd src ; $(QMAKE) $(QMAKE_ARGS) "CONFIG+= testlib" ; make $(MAKE_ARGS) -f Makefile.testlib)
	#( cd test-src ; $(QMAKE) $(QMAKE_ARGS) ; make $(MAKE_ARGS))
	#( cd src/plugins ; $(QMAKE) $(QMAKE_ARGS)  plugins-test.pro ; make $(MAKE_ARGS) -f Makefile.test)

#run-test: build-test
	#( cd test-src ; export LD_LIBRARY_PATH=../src ; ./run-tests )
	#( cd src ; export LD_LIBRARY_PATH=.:plugins ; plugins/aptplugin/run-tests )
	
#clean-test:
	#( cd src/plugins ; $(QMAKE) $(QMAKE_ARGS) "CONFIG+= testlib" ; make -f src/Makefile.testlib clean )
	#make -f src/Makefile.test clean
	#make -f src/plugins/Makefile.test clean
	#rm -f src/Makefile.testlib
	#rm -f src/Makefile.test

=== app/src/CMakeLists.txt ===
find_package(PkgConfig REQUIRED)
find_package(Qt6 REQUIRED COMPONENTS Widgets Xml Network LinguistTools)

pkg_check_modules(LIBEPT libept)

add_executable(packagesearch 
    action.cpp
    action.h
    actionplugin.cpp
    actionplugin.h
    applicationfactory.cpp
    applicationfactory.h
    baseplugincontainer.cpp
    baseplugincontainer.h
    columncontroldlg.cpp
    columncontroldlg.h
    exception.cpp
    exception.h
    extalgorithm.cpp
    extalgorithm.h
    gainroot.cpp
    gainroot.h
    globals.h
    helpers.h
    history.cpp
    history.h
    informationplugin.h
    ipluginfactory.h
    iplugininformer.h
    ipluginuser.h
    iprogressobserver.h
    iprovider.h
    iscorecalculationstrategy.h
    ixmlstorable.h
    main.cpp
    networksettings.cpp
    networksettings.h
    packagedisplaywidget.cpp
    packagedisplaywidget.h
    packagenameplugin.cpp
    packagenameplugin.h
    packagenotfoundexception.cpp
    packagenotfoundexception.h
    packagesearchaboutdlg.cpp
    packagesearchaboutdlg.h
    packagesearchimpl.cpp
    packagesearchimpl.h
    plugincompare.h
    plugincontainer.cpp
    plugincontainer.h
    plugincontroldlgmeditator.cpp
    plugincontroldlgmeditator.h
    plugin.cpp
    plugin.h
    plugininformer.cpp
    plugininformer.h
    pluginmanager.cpp
    pluginmanager.h
    processcontainer.cpp
    processcontainer.h
    progressdisplaydlg.cpp
    progressdisplaydlg.h
    runcommand.cpp
    runcommandforoutput.cpp
    runcommandforoutput.h
    runcommand.h
    runcommandinwindow.cpp
    runcommandinwindow.h
    runcommandinxterm.cpp
    runcommandinxterm.h
    scorecalculationstrategybase.cpp
    scorecalculationstrategybase.h
    scoredisplayplugin.cpp
    scoredisplayplugin.h
    scoreplugin.h
    searchplugin.h
    settingsdlg.cpp
    settingsdlg.h
    shortinformationplugin.h
    singleton.cpp
    singleton.h
    translationmanager.cpp
    translationmanager.h
    xmldata.cpp
    xmldata.h
    
    # ui files
    packagesearch.ui 
    packagesearchaboutdlg.ui 
    plugincontrol.ui 
    columncontroldlg.ui 
    settingsdlg.ui
)


qt_add_translations(packagesearch TS_FILES 
    ${PROJECT_SOURCE_DIR}/translations/packagesearch_de.ts 
    ${PROJECT_SOURCE_DIR}/translations/packagesearch_es.ts
)

target_link_libraries(packagesearch PRIVATE Qt6::Widgets Qt6::Xml Qt6::Network)
target_link_libraries(packagesearch PRIVATE ${CMAKE_DL_LIBS})
target_link_libraries(packagesearch PRIVATE ${LIBEPT_LIBRARIES})

target_link_options(packagesearch PRIVATE "LINKER:-export-dynamic" "LINKER:--no-add-needed")

install(TARGETS packagesearch DESTINATION bin)

install(FILES 
    ${CMAKE_CURRENT_BINARY_DIR}/packagesearch_de.qm
    ${CMAKE_CURRENT_BINARY_DIR}/packagesearch_es.qm
    DESTINATION ${TRANSLATION_TARGET_DIR}
)

=== plugins/aptplugin/CMakeLists.txt ===
find_package(PkgConfig REQUIRED)
find_package(Qt6 REQUIRED COMPONENTS Widgets Xml LinguistTools)

set(PLUGIN_NAME "aptplugin")

pkg_check_modules(LIBEPT libept)

include_directories(${PROJECT_SOURCE_DIR}/app/src)

add_library(${PLUGIN_NAME} SHARED 
aptplugincontainer.cpp 
    aptsearchplugin.cpp 
    packagedescriptionplugin.cpp 
    packagestatusplugin.cpp 
    aptpluginfactory.cpp 
    ipackagedb.cpp 
    iaptsearch.cpp 
    installedversionplugin.cpp 
    availableversionplugin.cpp 
    aptsearchscorecalculationstrategy.cpp 
    complexscorecalculationstrategy.cpp 
    installedfilterwidget.cpp 
    aptsearchpluginshortinputwidget.cpp 
    aptactionplugin.cpp 
    ipackage.cpp 
    aptfrontpackagedb.cpp 
    aptfrontpackage.cpp 
    aptsettingswidget.cpp 
    installationtool.cpp
    aptsearchpluginshortinputwidget.ui
    installedfilterwidget.ui
    aptsettingswidget.ui
)
 
qt_add_translations(${PLUGIN_NAME} TS_FILES 
    ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_de.ts 
    ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_es.ts
)

target_link_libraries(${PLUGIN_NAME} PRIVATE apt-pkg)
target_link_libraries(${PLUGIN_NAME} PRIVATE Qt6::Widgets Qt6::Xml)
target_link_libraries(${PLUGIN_NAME} PRIVATE ${LIBEPT_LIBRARIES})

install(TARGETS ${PLUGIN_NAME} DESTINATION  ${PLUGIN_TARGET_DIR})
install(FILES 
    ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_de.qm
    ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_es.qm
    DESTINATION ${TRANSLATION_TARGET_DIR}
)

=== debian/changelog ===
packagesearch (2.8.0) unstable; urgency=low

  * updated to QT6
  * switched to CMake build system
  * dropped dependency to tagcoll

 -- Benjamin Mesing <ben@debian.org>  Sun, 18 Sep 2022 17:23:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: packagesearch
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Mesing <ben@debian.org>
-Build-Depends: debhelper (>= 10.8), libept-dev (>= 1.0.9), libept-dev (<< 2), qtbase5-dev, qttools5-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 1.0), libwibble-dev (<< 2.0), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1), libxapian-dev, libapt-pkg-dev
-Standards-Version: 4.1.0
+Maintainer: Benjamin Mesing <ben@debian.org>
+Build-Depends: cmake (>=3.23), debhelper (>= 13), libept-dev (>= 1.0.9), libept-dev (<< 2), libxapian-dev (>= 1.4.0), libxapian-dev (<<2), libapt-pkg-dev, qt6-base-dev (>= 6.3), qt6-tools-dev (>= 6.3), qt6-base-dev-tools (>= 6.3), docbook-to-man, pkg-config, cmake (>= 3.10), zlib1g-dev
+Standards-Version: 4.6.1
 Vcs-Git: https://git.code.sf.net/p/packagesearch/git
 
 Package: packagesearch

## packagesearch 2.8.1

=== debian/changelog ===
packagesearch (2.8.1) unstable; urgency=medium

  * updated copyright to GPL-3 
    - removed spanish translation because I could not reach copyright
      holder  
  * introduced machine readable copyright file
  * Copyright fixes Closes: #1050896

 -- Benjamin Mesing <ben@debian.org>  Sun, 07 Jan 2024 12:45:11 +0100

## packagesearch 2.8.1build3

=== plugins/debtagsplugin/CMakeLists.txt ===
find_package(PkgConfig REQUIRED)
find_package(Qt6 REQUIRED COMPONENTS Widgets Xml LinguistTools)

set(PLUGIN_NAME "debtagsplugin")

pkg_check_modules(LIBEPT libept)

include_directories(${PROJECT_SOURCE_DIR}/app/src)

add_library(${PLUGIN_NAME} SHARED 
    debtagsplugin.cpp 
    debtagsplugincontainer.cpp 
    relatedplugin.cpp 
    selectioninputanddisplay.cpp 
    debtagspluginfactory.cpp 
    debtagssettingswidget.cpp 
    relatedfeedbackwidget.cpp 
    relatedinput.cpp 
    tagchooserwidget.cpp 
    choosentagsdisplay.cpp 
    vocabularymodel.cpp 
    selectedtagsview.cpp 
    unselectedtagsview.cpp 
    filterselectedproxymodel.cpp 
    filterhiddenproxymodel.cpp 
    emptytagfilter.cpp 
    debtagshelper.cpp
    taglistproxymodel.h
    debtagssettingswidget.ui 
    choosentagsdisplay.ui 
    relatedfeedbackwidget.ui 
    relatedinput.ui 
    tagchooserwidget.ui 
)
 
qt_add_translations(${PLUGIN_NAME} TS_FILES 
    ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_de.ts 
    ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_es.ts
)

target_link_libraries(${PLUGIN_NAME} PRIVATE apt-pkg)
target_link_libraries(${PLUGIN_NAME} PRIVATE Qt6::Widgets Qt6::Xml)
target_link_libraries(${PLUGIN_NAME} PRIVATE ${LIBEPT_LIBRARIES})

install(TARGETS ${PLUGIN_NAME} DESTINATION  ${PLUGIN_TARGET_DIR})
install(FILES 
    ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_de.qm
    ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_es.qm
    DESTINATION ${TRANSLATION_TARGET_DIR}
)

=== plugins/filenameplugin/CMakeLists.txt ===
find_package(PkgConfig REQUIRED)
find_package(Qt6 REQUIRED COMPONENTS Widgets Xml LinguistTools)

set(PLUGIN_NAME "filenameplugin")

pkg_check_modules(LIBEPT libept)

include_directories(${PROJECT_SOURCE_DIR}/app/src)

add_library(${PLUGIN_NAME} SHARED 
filenameplugin.cpp 
           filenameplugincontainer.cpp 
           filenamepluginfactory.cpp 
           filenameview.cpp 
           filenamesearchinput.cpp 
           filenamefeedbackwidget.cpp 
           filenameactionplugin.cpp 
           filenamefeedbackwidget.ui 
           filenamesearchinput.ui 
           filenameview.ui
)
 
qt_add_translations(${PLUGIN_NAME} TS_FILES 
    ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_de.ts 
    ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_es.ts
)

target_link_libraries(${PLUGIN_NAME} PRIVATE apt-pkg)
target_link_libraries(${PLUGIN_NAME} PRIVATE Qt6::Widgets Qt6::Xml)
target_link_libraries(${PLUGIN_NAME} PRIVATE ${LIBEPT_LIBRARIES})

install(TARGETS ${PLUGIN_NAME} DESTINATION  ${PLUGIN_TARGET_DIR})
install(FILES 
    ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_de.qm
    ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_es.qm
    DESTINATION ${TRANSLATION_TARGET_DIR}
)

=== plugins/orphanplugin/CMakeLists.txt ===
find_package(PkgConfig REQUIRED)
find_package(Qt6 REQUIRED COMPONENTS Widgets Xml LinguistTools)

set(PLUGIN_NAME "orphanplugin")

pkg_check_modules(LIBEPT libept)

include_directories(${PROJECT_SOURCE_DIR}/app/src)

add_library(${PLUGIN_NAME} SHARED 
    orphanplugincontainer.cpp 
    orphanpluginfactory.cpp 
    orphanplugin.cpp 
    orphansearchinputimpl.cpp 
    orphanfeedbackwidgetimpl.cpp
    orphansearchinput.ui 
    orphanfeedbackwidget.ui 
)
 
qt_add_translations(${PLUGIN_NAME} TS_FILES 
    ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_de.ts 
    ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_es.ts
)

target_link_libraries(${PLUGIN_NAME} PRIVATE apt-pkg)
target_link_libraries(${PLUGIN_NAME} PRIVATE Qt6::Widgets Qt6::Xml)
target_link_libraries(${PLUGIN_NAME} PRIVATE ${LIBEPT_LIBRARIES})

install(TARGETS ${PLUGIN_NAME} DESTINATION  ${PLUGIN_TARGET_DIR})
install(FILES 
    ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_de.qm
    ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_es.qm
    DESTINATION ${TRANSLATION_TARGET_DIR}
)

=== plugins/screenshotplugin/CMakeLists.txt ===
find_package(PkgConfig REQUIRED)
find_package(Qt6 REQUIRED COMPONENTS Widgets Xml Network LinguistTools)

set(PLUGIN_NAME "screenshotplugin")

pkg_check_modules(LIBEPT libept)

include_directories(${PROJECT_SOURCE_DIR}/app/src)

add_library(${PLUGIN_NAME} SHARED 
    screenshotplugin.cpp 
    screenshotplugincontainer.cpp
    screenshotpluginfactory.cpp
)
 
qt_add_translations(${PLUGIN_NAME} TS_FILES 
    ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_de.ts 
    ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_es.ts
)

target_link_libraries(${PLUGIN_NAME} PRIVATE apt-pkg)
target_link_libraries(${PLUGIN_NAME} PRIVATE Qt6::Widgets Qt6::Xml Qt6::Network)
target_link_libraries(${PLUGIN_NAME} PRIVATE ${LIBEPT_LIBRARIES})

install(TARGETS ${PLUGIN_NAME} DESTINATION ${PLUGIN_TARGET_DIR})
install(FILES 
    ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_de.qm
    ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_es.qm
    DESTINATION ${TRANSLATION_TARGET_DIR}
)

=== debian/changelog ===
packagesearch (2.8.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:08:35 +1100

packagesearch (2.8.1build2) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:54:36 +0000

packagesearch (2.8.1build1) noble; urgency=medium

  * No-change rebuild against libapt-pkg6.0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2024 19:22:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: packagesearch
 Section: admin
 Priority: optional
-Maintainer: Benjamin Mesing <ben@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Mesing <ben@debian.org>
 Build-Depends: cmake (>=3.23), debhelper (>= 13), libept-dev (>= 1.0.9), libept-dev (<< 2), libxapian-dev (>= 1.4.0), libxapian-dev (<<2), libapt-pkg-dev, qt6-base-dev (>= 6.3), qt6-tools-dev (>= 6.3), qt6-base-dev-tools (>= 6.3), docbook-to-man, pkg-config, cmake (>= 3.10), zlib1g-dev
 Standards-Version: 4.6.1
 Vcs-Git: https://git.code.sf.net/p/packagesearch/git

=== debian/rules ===
#!/usr/bin/make -f


# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export QT_SELECT=qt6

%:
	dh $@ 

override_dh_auto_build:
	docbook-to-man debian/manpage.sgml > debian/packagesearch.1
	dh_auto_build
	# not yet ready for release - no popcon data available
	# rm -f src/plugins/libpopconplugin.so -> not build anyways

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/packagesearch.1

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_installman:
	dh_installman debian/packagesearch.1

# do not run Make test because it is currently broken
override_dh_auto_test:

## packagesearch 2.8.2ubuntu1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,9 @@
 project(packagesearch)
 
 
-find_package(Qt6 REQUIRED COMPONENTS Core)
+find_package(Qt6 REQUIRED COMPONENTS Core LinguistTools)
+
+#qt_standard_project_setup(I18N_TRANSLATED_LANGUAGES de)
 
 # specify the C++ standard
 set(CMAKE_CXX_STANDARD 17)

=== debian/changelog ===
packagesearch (2.8.2ubuntu1) oracular; urgency=medium

  * Ignore qt_standard_project_setup with arguments, FTBFS
    (available from qt6 5.7)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jun 2024 18:25:16 +0200

packagesearch (2.8.2) unstable; urgency=low

  * switched to libapt because libept is buggy and is not actively
    maintained any longer

 -- Benjamin Mesing <ben@debian.org>  Sat, 25 May 2024 19:34:01 +0200

## packagesearch 2.8.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,10 @@
 
 find_package(Qt6 REQUIRED COMPONENTS Core LinguistTools)
 
-#qt_standard_project_setup(I18N_TRANSLATED_LANGUAGES de)
+# can be used only starting qt6.7
+# qt_standard_project_setup(I18N_TRANSLATED_LANGUAGES de)
+qt_standard_project_setup()
 
-# specify the C++ standard
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED True)
 
@@ -22,8 +23,6 @@
 set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/plugins)
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
-
-qt_standard_project_setup()
 
 set(TRANSLATION_TARGET_DIR share/packagesearch/translations)
 set(PLUGIN_TARGET_DIR lib/packagesearch)

=== app/src/CMakeLists.txt ===
--- 
+++ 
@@ -92,10 +92,12 @@
     settingsdlg.ui
 )
 
+# does not work -> maybe only in QT 6.7?
+#set_source_files_properties(packagesearch_de.ts
+#    PROPERTIES OUTPUT_LOCATION "${CMAKE_CURRENT_BINARY_DIR}/translationsxx")
 
-qt_add_translations(packagesearch TS_FILES 
-    ${PROJECT_SOURCE_DIR}/translations/packagesearch_de.ts 
-    ${PROJECT_SOURCE_DIR}/translations/packagesearch_es.ts
+qt_add_translations(packagesearch 
+    TS_FILES ${PROJECT_SOURCE_DIR}/translations/packagesearch_de.ts 
 )
 
 target_link_libraries(packagesearch PRIVATE Qt6::Widgets Qt6::Xml Qt6::Network)
@@ -108,7 +110,6 @@
 
 install(FILES 
     ${CMAKE_CURRENT_BINARY_DIR}/packagesearch_de.qm
-    ${CMAKE_CURRENT_BINARY_DIR}/packagesearch_es.qm
     DESTINATION ${TRANSLATION_TARGET_DIR}
 )

=== plugins/aptplugin/CMakeLists.txt ===
find_package(PkgConfig REQUIRED)
find_package(Qt6 REQUIRED COMPONENTS Widgets Xml LinguistTools)

set(PLUGIN_NAME "aptplugin")

include_directories(${PROJECT_SOURCE_DIR}/app/src)

add_library(${PLUGIN_NAME} SHARED 
    aptpackagedb.h aptpackagedb.cpp
    aptplugincontainer.h aptplugincontainer.cpp
    aptsearchplugin.h aptsearchplugin.cpp
    aptpackagesearch.h aptpackagesearch.cpp
    packagedescriptionplugin.h packagedescriptionplugin.cpp
    packagestatusplugin.cpp 
    aptpluginfactory.cpp 
    ipackagedb.cpp 
    iaptsearch.cpp 
    installedversionplugin.cpp 
    availableversionplugin.cpp 
    aptsearchscorecalculationstrategy.cpp 
    complexscorecalculationstrategy.cpp 
    installedfilterwidget.cpp 
    aptsearchpluginshortinputwidget.cpp 
    aptactionplugin.cpp 
    ipackage.cpp 
    aptsettingswidget.cpp 
    installationtool.cpp
    packagestatusplugin.h
    aptpluginfactory.h
    ipackagedb.h
    iaptsearch.h
    installedversionplugin.h
    availableversionplugin.h
    aptsearchscorecalculationstrategy.h
    complexscorecalculationstrategy.h
    installedfilterwidget.h
    aptsearchpluginshortinputwidget.h
    aptactionplugin.h
    ipackage.h
    aptsettingswidget.h
    installationtool.h
    aptpackage.h aptpackage.cpp
    aptsearchpluginshortinputwidget.ui
    installedfilterwidget.ui
    aptsettingswidget.ui
)
 
qt_add_translations(${PLUGIN_NAME} 
   TS_FILES ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_de.ts 
)

target_link_libraries(${PLUGIN_NAME} PRIVATE apt-pkg)
target_link_libraries(${PLUGIN_NAME} PRIVATE Qt6::Widgets Qt6::Xml)

install(TARGETS ${PLUGIN_NAME} DESTINATION  ${PLUGIN_TARGET_DIR})
install(FILES 
    ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_de.qm
    DESTINATION ${TRANSLATION_TARGET_DIR}
)

=== plugins/debtagsplugin/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,9 @@
     filterhiddenproxymodel.cpp 
     emptytagfilter.cpp 
     debtagshelper.cpp
+    packageutils.h
+    debtagshelper.h
+    debtagsplugin.h
     taglistproxymodel.h
     debtagssettingswidget.ui 
     choosentagsdisplay.ui 
@@ -35,7 +38,6 @@
  
 qt_add_translations(${PLUGIN_NAME} TS_FILES 
     ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_de.ts 
-    ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_es.ts
 )
 
 target_link_libraries(${PLUGIN_NAME} PRIVATE apt-pkg)
@@ -45,6 +47,5 @@
 install(TARGETS ${PLUGIN_NAME} DESTINATION  ${PLUGIN_TARGET_DIR})
 install(FILES 
     ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_de.qm
-    ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_es.qm
     DESTINATION ${TRANSLATION_TARGET_DIR}
 )

=== plugins/filenameplugin/CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,6 @@
  
 qt_add_translations(${PLUGIN_NAME} TS_FILES 
     ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_de.ts 
-    ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_es.ts
 )
 
 target_link_libraries(${PLUGIN_NAME} PRIVATE apt-pkg)
@@ -32,6 +31,5 @@
 install(TARGETS ${PLUGIN_NAME} DESTINATION  ${PLUGIN_TARGET_DIR})
 install(FILES 
     ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_de.qm
-    ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_es.qm
     DESTINATION ${TRANSLATION_TARGET_DIR}
 )

=== plugins/orphanplugin/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,6 @@
  
 qt_add_translations(${PLUGIN_NAME} TS_FILES 
     ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_de.ts 
-    ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_es.ts
 )
 
 target_link_libraries(${PLUGIN_NAME} PRIVATE apt-pkg)
@@ -29,6 +28,5 @@
 install(TARGETS ${PLUGIN_NAME} DESTINATION  ${PLUGIN_TARGET_DIR})
 install(FILES 
     ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_de.qm
-    ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_es.qm
     DESTINATION ${TRANSLATION_TARGET_DIR}
 )

=== plugins/screenshotplugin/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,6 @@
  
 qt_add_translations(${PLUGIN_NAME} TS_FILES 
     ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_de.ts 
-    ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_es.ts
 )
 
 target_link_libraries(${PLUGIN_NAME} PRIVATE apt-pkg)
@@ -25,6 +24,5 @@
 install(TARGETS ${PLUGIN_NAME} DESTINATION ${PLUGIN_TARGET_DIR})
 install(FILES 
     ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_de.qm
-    ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_es.qm
     DESTINATION ${TRANSLATION_TARGET_DIR}
 )

=== debian/changelog ===
packagesearch (2.8.3) unstable; urgency=medium

  * fixed build problem by using correct version of qt_standard_project_setup() 
    Closes: #1072806 (thanks Yue Gui)

 -- Benjamin Mesing <ben@debian.org>  Fri, 09 Aug 2024 17:01:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: packagesearch
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Mesing <ben@debian.org>
-Build-Depends: cmake (>=3.23), debhelper (>= 13), libept-dev (>= 1.0.9), libept-dev (<< 2), libxapian-dev (>= 1.4.0), libxapian-dev (<<2), libapt-pkg-dev, qt6-base-dev (>= 6.3), qt6-tools-dev (>= 6.3), qt6-base-dev-tools (>= 6.3), docbook-to-man, pkg-config, cmake (>= 3.10), zlib1g-dev
+Maintainer: Benjamin Mesing <ben@debian.org>
+Build-Depends: cmake (>=3.23), debhelper (>= 13), libept-dev (>= 1.0.9), libept-dev (<< 2), libxapian-dev (>= 1.4.0), libxapian-dev (<<2), libapt-pkg-dev, qt6-base-dev (>= 6.3), qt6-tools-dev (>= 6.3), qt6-base-dev-tools (>= 6.3), docbook-to-man, pkgconf, cmake (>= 3.10), zlib1g-dev
 Standards-Version: 4.6.1
 Vcs-Git: https://git.code.sf.net/p/packagesearch/git

## packagesearch 2.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,6 @@
 
 add_subdirectory(app/src)
 add_subdirectory(plugins/aptplugin)
-add_subdirectory(plugins/debtagsplugin)
 add_subdirectory(plugins/filenameplugin)
 add_subdirectory(plugins/orphanplugin)
 add_subdirectory(plugins/screenshotplugin)

=== plugins/orphanplugin/CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,6 @@
 find_package(Qt6 REQUIRED COMPONENTS Widgets Xml LinguistTools)
 
 set(PLUGIN_NAME "orphanplugin")
-
-pkg_check_modules(LIBEPT libept)
 
 include_directories(${PROJECT_SOURCE_DIR}/app/src)
 
@@ -21,9 +19,7 @@
     ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_de.ts 
 )
 
-target_link_libraries(${PLUGIN_NAME} PRIVATE apt-pkg)
 target_link_libraries(${PLUGIN_NAME} PRIVATE Qt6::Widgets Qt6::Xml)
-target_link_libraries(${PLUGIN_NAME} PRIVATE ${LIBEPT_LIBRARIES})
 
 install(TARGETS ${PLUGIN_NAME} DESTINATION  ${PLUGIN_TARGET_DIR})
 install(FILES

=== debian/changelog ===
packagesearch (2.9.0) unstable; urgency=medium

  * changed app to no longer rely on libapt, libept, debtags et al

 -- Benjamin Mesing <ben@debian.org>  Sun, 09 Mar 2025 16:14:22 +0100

=== debian/control ===
Source: packagesearch
Section: admin
Priority: optional
Maintainer: Benjamin Mesing <ben@debian.org>
Build-Depends: cmake (>=3.23), debhelper (>= 13), qt6-base-dev (>= 6.3), qt6-tools-dev (>= 6.3), qt6-base-dev-tools (>= 6.3), docbook-to-man, pkgconf, cmake (>= 3.10), zlib1g-dev
Standards-Version: 4.7.2
Vcs-Git: https://git.code.sf.net/p/packagesearch/git

Package: packagesearch
Architecture: any
Depends: apt (>= 0.6.46.1), xterm, ${shlibs:Depends}, ${misc:Depends}
Recommends: apt-file, deborphan
Description: GUI for searching packages and viewing package information
 This tool is aimed to help you search the packages you need. It should
 make the task of searching a pleasant experience. 
 .
 Search can be done by 
  * pattern
  * tags (based on the debtags system)
  * files
  * installed status
  * orphaned packages
 Additionally a lot of information about the packages is displayed, 
 including screenshots and the files within a package.
 .
 It is possible to install or remove packages.

## packagesearch 2.10.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# set the project name
project(packagesearch)


find_package(Qt6 REQUIRED COMPONENTS Core LinguistTools)

# can be used only starting qt6.7
# qt_standard_project_setup(I18N_TRANSLATED_LANGUAGES de)
qt_standard_project_setup()

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED True)

if ($ENV{PACKAGESEARCH_BUILD_TYPE} MATCHES "release") 
    message(STATUS "Configuring relase build")
else()
    message(STATUS "Configuring debug build")
    add_compile_definitions(__DEBUG)
endif()

set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/plugins)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(TRANSLATION_TARGET_DIR share/packagesearch/translations)
set(PLUGIN_TARGET_DIR lib/packagesearch)


add_subdirectory(app/src)
add_subdirectory(plugins/aptplugin)
add_subdirectory(plugins/filenameplugin)
add_subdirectory(plugins/screenshotplugin)

set(SOURCE_ICON_DIR app/icons)
set(TARGET_ICON_DIR share/pixmaps/packagesearch)
install(FILES
    ${SOURCE_ICON_DIR}/install-package.png
    ${SOURCE_ICON_DIR}/remove-package.png
    ${SOURCE_ICON_DIR}/clear.png
    ${SOURCE_ICON_DIR}/forward.png
    ${SOURCE_ICON_DIR}/packagesearch.png
    ${SOURCE_ICON_DIR}/back.png
    DESTINATION ${TARGET_ICON_DIR}
)

install(FILES
    ${SOURCE_ICON_DIR}/packagesearch.png
    ${SOURCE_ICON_DIR}/packagesearch.xpm
    DESTINATION share/pixmaps
)

install(FILES
    packagesearch.desktop
    DESTINATION share/applications
)

set(SOURCE_DOC_DIR doc)
set(TARGET_DOC_DIR share/doc/packagesearch) 
install(FILES
    README.md
    TODO
    ${SOURCE_DOC_DIR}/content.html
    DESTINATION ${TARGET_DOC_DIR}
)


install(FILES
    packagesearch.desktop
    DESTINATION share/applications
)

=== app/src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,5 @@
 find_package(PkgConfig REQUIRED)
 find_package(Qt6 REQUIRED COMPONENTS Widgets Xml Network LinguistTools)
-
-pkg_check_modules(LIBEPT libept)
 
 add_executable(packagesearch 
     action.cpp
@@ -39,6 +37,8 @@
     packagedisplaywidget.h
     packagenameplugin.cpp
     packagenameplugin.h
+    packagename.cpp
+    packagename.h
     packagenotfoundexception.cpp
     packagenotfoundexception.h
     packagesearchaboutdlg.cpp
@@ -60,10 +60,12 @@
     processcontainer.h
     progressdisplaydlg.cpp
     progressdisplaydlg.h
+    runcommand.h
     runcommand.cpp
     runcommandforoutput.cpp
     runcommandforoutput.h
-    runcommand.h
+    runcommandforparsing.h
+    runcommandforparsing.cpp
     runcommandinwindow.cpp
     runcommandinwindow.h
     runcommandinxterm.cpp
@@ -102,7 +104,6 @@
 
 target_link_libraries(packagesearch PRIVATE Qt6::Widgets Qt6::Xml Qt6::Network)
 target_link_libraries(packagesearch PRIVATE ${CMAKE_DL_LIBS})
-target_link_libraries(packagesearch PRIVATE ${LIBEPT_LIBRARIES})
 
 target_link_options(packagesearch PRIVATE "LINKER:-export-dynamic" "LINKER:--no-add-needed")

=== plugins/aptplugin/CMakeLists.txt ===
find_package(PkgConfig REQUIRED)
find_package(Qt6 REQUIRED COMPONENTS Widgets Xml LinguistTools)

set(PLUGIN_NAME "aptplugin")

include_directories(${PROJECT_SOURCE_DIR}/app/src)

add_library(${PLUGIN_NAME} SHARED 
    aptactionplugin.cpp
    aptactionplugin.h
    aptcacheparser.h aptcacheparser.cpp
    aptpackagesearch.h aptpackagesearch.cpp
    aptplugincontainer.h aptplugincontainer.cpp
    aptpluginfactory.cpp
    aptpluginfactory.h
    aptsearchplugin.h aptsearchplugin.cpp
    aptsearchpluginshortinputwidget.cpp
    aptsearchpluginshortinputwidget.h
    aptsearchpluginshortinputwidget.ui
    aptsearchscorecalculationstrategy.cpp
    aptsearchscorecalculationstrategy.h
    aptsettingswidget.cpp
    aptsettingswidget.h
    aptsettingswidget.ui
    availableversionplugin.cpp
    availableversionplugin.h
    commandlinepackagedb.h commandlinepackagedb.cpp
    complexscorecalculationstrategy.cpp
    complexscorecalculationstrategy.h
    dpkgparser.h dpkgparser.cpp
    iaptsearch.cpp
    iaptsearch.h
    installationtool.cpp
    installationtool.h
    installedfilterwidget.cpp
    installedfilterwidget.h
    installedfilterwidget.ui
    installedversionplugin.cpp
    installedversionplugin.h
    ipackage.cpp
    ipackage.h
    ipackagedb.cpp
    ipackagedb.h
    ipackagedetails.h
    ipackagedetails.cpp
    package.h package.cpp
    packagedescriptionplugin.h packagedescriptionplugin.cpp
    packagestatusplugin.cpp
    packagestatusplugin.h
    aptpackagebuilder.h
    aptpackagebuilder.cpp
    packagedetails.h packagedetails.cpp
)
 
qt_add_translations(${PLUGIN_NAME} 
   TS_FILES ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_de.ts 
)

target_link_libraries(${PLUGIN_NAME} PRIVATE Qt6::Widgets Qt6::Xml)

install(TARGETS ${PLUGIN_NAME} DESTINATION  ${PLUGIN_TARGET_DIR})
install(FILES 
    ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_de.qm
    DESTINATION ${TRANSLATION_TARGET_DIR}
)

=== plugins/filenameplugin/CMakeLists.txt ===
--- 
+++ 
@@ -24,9 +24,7 @@
     ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_de.ts 
 )
 
-target_link_libraries(${PLUGIN_NAME} PRIVATE apt-pkg)
 target_link_libraries(${PLUGIN_NAME} PRIVATE Qt6::Widgets Qt6::Xml)
-target_link_libraries(${PLUGIN_NAME} PRIVATE ${LIBEPT_LIBRARIES})
 
 install(TARGETS ${PLUGIN_NAME} DESTINATION  ${PLUGIN_TARGET_DIR})
 install(FILES

=== plugins/screenshotplugin/CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,6 @@
 find_package(Qt6 REQUIRED COMPONENTS Widgets Xml Network LinguistTools)
 
 set(PLUGIN_NAME "screenshotplugin")
-
-pkg_check_modules(LIBEPT libept)
 
 include_directories(${PROJECT_SOURCE_DIR}/app/src)
 
@@ -17,9 +15,7 @@
     ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_de.ts 
 )
 
-target_link_libraries(${PLUGIN_NAME} PRIVATE apt-pkg)
 target_link_libraries(${PLUGIN_NAME} PRIVATE Qt6::Widgets Qt6::Xml Qt6::Network)
-target_link_libraries(${PLUGIN_NAME} PRIVATE ${LIBEPT_LIBRARIES})
 
 install(TARGETS ${PLUGIN_NAME} DESTINATION ${PLUGIN_TARGET_DIR})
 install(FILES

=== debian/changelog ===
packagesearch (2.10.1) unstable; urgency=medium

  * removed deborphan from recommends 

 -- Benjamin Mesing <ben@debian.org>  Sun, 18 May 2025 18:43:29 +0200

packagesearch (2.10.0) unstable; urgency=medium

  * removed orphan plugin, since deborphan was removed from debian 
    (Closes: #1105916) 

 -- Benjamin Mesing <ben@debian.org>  Sun, 18 May 2025 16:39:39 +0200

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,15 @@
 Package: packagesearch
 Architecture: any
 Depends: apt (>= 0.6.46.1), xterm, ${shlibs:Depends}, ${misc:Depends}
-Recommends: apt-file, deborphan
+Recommends: apt-file
 Description: GUI for searching packages and viewing package information
  This tool is aimed to help you search the packages you need. It should
  make the task of searching a pleasant experience. 
  .
  Search can be done by 
   * pattern
-  * tags (based on the debtags system)
   * files
   * installed status
-  * orphaned packages
  Additionally a lot of information about the packages is displayed, 
  including screenshots and the files within a package.
  .

## packagesearch 2.10.1build1

=== debian/changelog ===
packagesearch (2.10.1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Wed, 11 Feb 2026 23:33:50 +0100
